SDL_log(3)

NAME
SDL_log - Compute the natural logarithm of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_log(double x);

DESCRIPTION
Domain: 0<x<=INF Range: -INF<=y<=INF It is an error for x to be less than or equal to 0.

This function operates on double-precision floating point values, use

SDL_logf
 for single-precision floats.

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value. Must be greater than 0.

RETURN VALUE
Returns the natural logarithm of x .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_logf(3), •(3), SDL_log10(3), •(3), SDL_exp(3)